## org.gnu.gdk
Class NotifyType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.NotifyType

public class NotifyType
extends Enum

Field Summary
`static NotifyType` `ANCESTOR`
`static NotifyType` `INFERIOR`
`static NotifyType` `NONLINEAR`
`static NotifyType` `NONLINEAR_VIRTUAL`
`static NotifyType` `UNKNOWN`
`static NotifyType` `VIRTUAL`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`NotifyType` `and(NotifyType other)`
`static NotifyType` `intern(int value)`
`NotifyType` `or(NotifyType other)`
`boolean` `test(NotifyType other)`
`NotifyType` `xor(NotifyType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANCESTOR

    public static final NotifyType ANCESTOR

### VIRTUAL

    public static final NotifyType VIRTUAL

### INFERIOR

    public static final NotifyType INFERIOR

### NONLINEAR

    public static final NotifyType NONLINEAR

### NONLINEAR_VIRTUAL

    public static final NotifyType NONLINEAR_VIRTUAL

### UNKNOWN

    public static final NotifyType UNKNOWN

Method Detail

### intern

    public static NotifyType intern(int value)

### or

    public NotifyType or(NotifyType other)

### and

    public NotifyType and(NotifyType other)

### xor

    public NotifyType xor(NotifyType other)

### test

    public boolean test(NotifyType other)